Bug 2039685 (CVE-2021-4192) - CVE-2021-4192 vim: use-after-free in win_linetabsize()
Summary: CVE-2021-4192 vim: use-after-free in win_linetabsize()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-4192
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2039693 2039704 2039705 2039706 2043462
Blocks: 2039688
TreeView+ depends on / blocked
 
Reported: 2022-01-12 08:57 UTC by Cedric Buissart
Modified: 2022-05-17 09:51 UTC (History)
18 users (show)

Fixed In Version: vim 8.2.3949
Doc Type: If docs needed, set a value
Doc Text:
It was found that vim was vulnerable to use-after-free flaw in win_linetabsize(). Sourcing a specially crafted file in vim could crash the vim process or possibly lead to other undefined behaviors.
Clone Of:
Environment:
Last Closed: 2022-02-01 22:03:14 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0366 0 None None None 2022-02-01 21:01:06 UTC

Description Cedric Buissart 2022-01-12 08:57:08 UTC
vim is vulnerable to Use After Free 

Upstream fix:
https://github.com/vim/vim/commit/4c13e5e6763c6eb36a343a2b8235ea227202e952

Comment 1 Cedric Buissart 2022-01-12 09:09:05 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2039693]

Comment 5 errata-xmlrpc 2022-02-01 21:01:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0366 https://access.redhat.com/errata/RHSA-2022:0366

Comment 6 Product Security DevOps Team 2022-02-01 22:03:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-4192


Note You need to log in before you can comment on or make changes to this bug.